Open CASCADE Technology: StepShape_HArray1OfFace Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepShape_HArray1OfFace Class Reference

`#include <StepShape_HArray1OfFace.hxx>`

Inheritance diagram for StepShape_HArray1OfFace:
[legend]

## Public Member Functions
| StepShape_HArray1OfFace (const Standard_Integer Low, const Standard_Integer Up)
| StepShape_HArray1OfFace (const Standard_Integer Low, const Standard_Integer Up, const Handle< StepShape_Face > &V)
void | Init (const Handle< StepShape_Face > &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle< StepShape_Face > &Value)
const Handle< StepShape_Face > & | Value (const Standard_Integer Index) const
Handle< StepShape_Face > & | ChangeValue (const Standard_Integer Index)
const StepShape_Array1OfFace & | Array1 () const
StepShape_Array1OfFace & | ChangeArray1 ()
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

StepShape_HArray1OfFace::StepShape_HArray1OfFace | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepShape_HArray1OfFace::StepShape_HArray1OfFace | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle< StepShape_Face > & | V
| ) |  |

## Member Function Documentation

const StepShape_Array1OfFace& StepShape_HArray1OfFace::Array1 | ( |  | ) | const

StepShape_Array1OfFace& StepShape_HArray1OfFace::ChangeArray1 | ( |  | ) |

Handle< StepShape_Face >& StepShape_HArray1OfFace::ChangeValue | ( | const Standard_Integer | Index | ) |

void StepShape_HArray1OfFace::Init | ( | const Handle< StepShape_Face > & | V | ) |

Standard_Integer StepShape_HArray1OfFace::Length | ( |  | ) | const

Standard_Integer StepShape_HArray1OfFace::Lower | ( |  | ) | const

void StepShape_HArray1OfFace::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< StepShape_Face > & | Value
| ) |  |

Standard_Integer StepShape_HArray1OfFace::Upper | ( |  | ) | const

const Handle< StepShape_Face >& StepShape_HArray1OfFace::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- StepShape_HArray1OfFace.hxx